org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration

## Interface InstantiationMethod

    public interface InstantiationMethod

A representation of the model object 'Instantiation Method'.

The following features are supported:

- `Name`
- `Description`
- `Instantiation Operation`

See Also:
  `TableconfigurationPackage.getInstantiationMethod()`
Generated:
Model:
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`EOperation` `getInstantiationOperation()` Returns the value of the 'Instantiation Operation' reference.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setInstantiationOperation(EOperation value)` Sets the value of the '`Instantiation Operation`' reference.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

### Method Detail

#### getName

    java.lang.String getName()

Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`, `TableconfigurationPackage.getInstantiationMethod_Name()`
Generated:
Model:

#### setName

    void setName(java.lang.String value)

Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`
Generated:

#### getDescription

    java.lang.String getDescription()

Returns the value of the 'Description' attribute.

If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`, `TableconfigurationPackage.getInstantiationMethod_Description()`
Generated:
Model:

#### setDescription

    void setDescription(java.lang.String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`
Generated:

#### getInstantiationOperation

    EOperation getInstantiationOperation()

Returns the value of the 'Instantiation Operation' reference.

If the meaning of the 'Instantiation Operation' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Instantiation Operation' reference.
See Also:
  `setInstantiationOperation(EOperation)`, `TableconfigurationPackage.getInstantiationMethod_InstantiationOperation()`
Generated:
Model:

#### setInstantiationOperation

    void setInstantiationOperation(EOperation value)

Sets the value of the '`Instantiation Operation`' reference.

Parameters:
  `value` - the new value of the 'Instantiation Operation' reference.
See Also:
  `getInstantiationOperation()`
Generated: